import React from 'react';
import ReactDom from 'react-dom';
import { Editor } from './index';
import './main.less';

const mainElement = document.createElement('div');
document.body.appendChild(mainElement);

function uploadImage(file) {
  console.log('accept file ', file);
  return {
    url: 'https://pic1.zhimg.com/v2-2f66e1f5d86a04e1144a7c7caabb3b9b_1440w.jpg',
    width: 200,
    height: 200,
  };
}

const App = () => {
  const onChange = (state, html) => {
    console.log(state);
    console.log(html);
  };
  return (
    <div className={'container'}>
      <Editor
        onChange={onChange}
        uploadImage={uploadImage}
        placeholder={'请输入'}
      />
    </div>
  );
};

ReactDom.render(<App />, mainElement);
